<template>
  <div class="wrap">
    <p>{{val}}</p>
    <button @click="send">Child2点击</button>
  </div>
</template>

<script>

export default {
  name: 'Child2',
  props:{
    eventBus:Object
  },
  data () {
    return {
      name:'Child2',
      msg: 'Child2',
      val:'Child2中的数据'

    }
  },
  created(){
    
  },
  methods:{
    send(){
      this.eventBus.$emit('send-b',this.val);
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
